Get Following (v3)
Get following list of a user. Page size 10-100; use cursor for more pages. $0.05/1000 users.
API 참조로 돌아가기
/Followers & Following Endpoints
POST
/v3/twitter/users/followingAPI 인증
AuthorizationBearer token · header필수TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
요청 본문
필수application/jsonusernamestring필수Twitter username (with or without @).
countinteger | anyNumber of users to return per page (min 10, max 100).
default: 20
속성 표시속성 숨기기
Any of:
integer
integerany
anycursorstring | any페이징 커서 (Cursor)
속성 표시속성 숨기기
Any of:
string
stringany
any응답
200Following page with cursor pagination.
codeinteger필수HTTP 상태 코드 (200은 성공)
msgstring필수응답 메시지 (예: 'success')
dataVerifiedFollowersData | any엔드포인트가 반환한 핵심 데이터
속성 표시속성 숨기기
Any of:
VerifiedFollowersData
usersUserInfo[]필수Follower users on this page
속성 표시속성 숨기기
Array of
UserInfouserIdstring필수User ID
isBlueVerifiedboolean필수Blue verification status
createdAtstring필수Account creation date
createdAtDatetimestring | anyAccount creation datetime in ISO format
속성 표시속성 숨기기
Any of:
string
stringany
anydefaultProfileboolean필수Default profile flag
defaultProfileImageboolean필수Default profile image flag
descriptionstring필수프로필 자기소개 (Bio)
locationstring필수Location
fastFollowersCountinteger필수Fast followers count
favouritesCountinteger필수Likes count
followersCountinteger필수Followers count
followingCountinteger필수Following count
hasCustomTimelinesboolean필수Has custom timelines flag
isTranslatorboolean필수Is translator flag
listedCountinteger필수Listed count
mediaCountinteger필수Media count
namestring필수사용자 이름
normalFollowersCountinteger필수Normal followers count
pinnedTweetIdsStrany[] | anyPinned tweet IDs
속성 표시속성 숨기기
Any of:
any[]
Array of
anyanyany
anypossiblySensitiveboolean필수Possibly sensitive flag
profileImageUrlHttpsstring필수Profile image URL
usernamestring필수Username
statusesCountinteger필수Tweets count
translatorTypestring | anyTranslator type
속성 표시속성 숨기기
Any of:
string
stringany
anyverifiedboolean필수Legacy verification status
verified_typestring | anyVerification badge type: blue, business, government, etc.
속성 표시속성 숨기기
Any of:
string
stringany
anywithheldInCountriesany[] | anyWithheld in countries
속성 표시속성 숨기기
Any of:
any[]
Array of
anyanyany
anyprotectedboolean필수Protected account flag
urlstring | anyUser profile URL
속성 표시속성 숨기기
Any of:
string
stringany
anydescriptionUrlsany[] | anyDescription URLs
속성 표시속성 숨기기
Any of:
any[]
Array of
anyanyany
anyurlsany[] | anyUser URLs
속성 표시속성 숨기기
Any of:
any[]
Array of
anyanyany
anypinnedTweetIdsany[] | anyPinned tweet IDs
속성 표시속성 숨기기
Any of:
any[]
Array of
anyanyany
anyhas_next_pageboolean필수다음 페이지 데이터 존재 여부
next_cursorstring | any다음 페이지 조회를 위한 커서 (Cursor)
속성 표시속성 숨기기
Any of:
string
stringany
anyany
any422요청 매개변수 유효성 검사 오류
detailValidationError[]속성 표시속성 숨기기
Array of
ValidationErrorlocstring | integer[]필수속성 표시속성 숨기기
Array of
string | integerAny of:
string
stringinteger
integermsgstring필수응답 메시지 (예: 'success')
typestring필수inputanyctxobject⚡대화형 콘솔POST
⚡대화형 콘솔 / API 테스트POSTLive Console
🌐대상 서버:
https://api.twexapi.io● 프로덕션 준비 완료
🔍
공개 데이터 조회 (TwexAPI 키만 필요, Twitter 쿠키 불필요)
이 엔드포인트는 공개 Twitter 데이터를 조회합니다. Twitter 계정이나 쿠키가 필요하지 않습니다! 아래 "API 인증"에 TwexAPI 플랫폼 키 (Bearer Token)를 입력하여 바로 테스트하세요.
🔑API 인증
📝요청 본문application/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
요청 예시
curl -X POST "https://api.twexapi.io/v3/twitter/users/following" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"username": "elonmusk",
"count": 20,
"cursor": ""
}'const response = await fetch("https://api.twexapi.io/v3/twitter/users/following", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"username": "elonmusk",
"count": 20,
"cursor": ""
})
});import requests
response = requests.post(
"https://api.twexapi.io/v3/twitter/users/following",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"username": "elonmusk",
"count": 20,
"cursor": ""
},
)응답 예시
{
"code": 200,
"msg": "success",
"data": {
"users": [
{
"userId": "string",
"isBlueVerified": true,
"createdAt": "string",
"createdAtDatetime": "string",
"defaultProfile": true,
"defaultProfileImage": true,
"description": "string",
"location": "string",
"fastFollowersCount": 0,
"favouritesCount": 0,
"followersCount": 0,
"followingCount": 0,
"hasCustomTimelines": true,
"isTranslator": true,
"listedCount": 0,
"mediaCount": 0,
"name": "string",
"normalFollowersCount": 0,
"pinnedTweetIdsStr": [
null
],
"possiblySensitive": true,
"profileImageUrlHttps": "string",
"username": "string",
"statusesCount": 0,
"translatorType": "string",
"verified": true,
"verified_type": "blue",
"withheldInCountries": [
null
],
"protected": true,
"url": "string",
"descriptionUrls": [
null
],
"urls": [
null
],
"pinnedTweetIds": [
null
]
}
],
"has_next_page": true,
"next_cursor": ""
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}